"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortersSequence = void 0;
function sortersSequence(...sorters) {
    return (a, b) => {
        // eslint-disable-next-line no-restricted-syntax
        for (const sorter of sorters) {
            const result = sorter(a, b);
            if (result !== 0) {
                return result;
            }
        }
        return 0;
    };
}
exports.sortersSequence = sortersSequence;
